%global __strip %{mingw32_strip}
%global __objdump %{mingw32_objdump}
%define __debug_install_post %{mingw32_debug_install_post}

%global name1 qwt
%global name2 %{name1}5

Name:           mingw-%{name1}
Summary:        MinGW Windows Qwt library
Version:        5.2.1
Release:        7%{?dist}
URL:            http://qwt.sourceforge.net
License:        LGPLv2 with exceptions
Group:          Development/Libraries
Source:         http://downloads.sourceforge.net/%{name1}/%{name1}-%{version}.tar.bz2
Patch0:         qwt-path.patch
Patch1:         qwt-qhash.patch
BuildRequires:  mingw32-filesystem >= 52
BuildRequires:  mingw32-qt
BuildRequires:  mingw32-gcc-c++
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
MinGW Windows Qwt library.


%package -n mingw32-%{name1}
Summary:        MinGW Windows Qwt library

%description -n mingw32-%{name1}
MinGW Windows Qwt library.


%{?mingw32_debug_package}


%prep
%setup -qn %{name1}-%{version}
%patch0 -p1
#patch1 -p0 -b .qhash
sed -i "s\LIBPATH\ $RPM_BUILD_ROOT%{mingw32_libdir}\1" qwtconfig.pri
sed -i "s\HEADERPATH\ $RPM_BUILD_ROOT%{mingw32_includedir}/%{name1}\1" qwtconfig.pri
sed -i "s\DOCKPATH\ $RPM_BUILD_ROOT%{mingw32_docdir}/%{name1}\1" qwtconfig.pri
#sed -i "s\QTDESIGNERPATH\ $RPM_BUILD_ROOT%{_qt4_plugindir}/designer\1" designer/designer.pro
sed -i "s\QTDESIGNERPATH\ $RPM_BUILD_ROOT%{mingw32_libdir}/qt4/plugins/designer\1" designer/designer.pro
#disable Designer
sed -i "s\CONFIG *+= *QwtDesigner\#CONFIG += QwtDesigner\1" qwtconfig.pri
#disable Examples
sed -i "s\CONFIG *+= *QwtExamples\#CONFIG += QwtExamples\1" qwtconfig.pri
#enable debug and release
sed -i "s\ *CONFIG *+= *release\#CONFIG += release\1" qwtconfig.pri
sed -i "s\ *#CONFIG *+= *debug_and_release\CONFIG += debug_and_release\1" qwtconfig.pri


%build
%mingw32_qmake_qt4
#parallel build fails sometime so I disable it
make
pushd src
perl -i -pe 's,4d,d4,g' Makefile.Debug
make debug
popd

%install
make install
#remove unneeded stuff
rm -rf $RPM_BUILD_ROOT%{mingw32_docdir}/%{name1}
%{__install} -d $RPM_BUILD_ROOT%{mingw32_bindir}
%{__mv} $RPM_BUILD_ROOT%{mingw32_libdir}/%{name2}.dll $RPM_BUILD_ROOT%{mingw32_bindir}/
%{__cp} lib/%{name1}d5.dll $RPM_BUILD_ROOT%{mingw32_bindir}/
%{__cp} lib/lib%{name1}d5.a $RPM_BUILD_ROOT%{mingw32_libdir}/


%files -n mingw32-%{name1}
%doc CHANGES
%doc COPYING
%doc README
%{mingw32_bindir}/%{name2}.dll
%{mingw32_bindir}/%{name1}d5.dll
%{mingw32_includedir}/%{name1}
%{mingw32_libdir}/lib%{name2}.a
%{mingw32_libdir}/lib%{name1}d5.a

%changelog
* Fri Mar 09 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.2.1-7
- Use the correct qmake macros to build this package

* Wed Mar 07 2012 Kalev Lember <kalevlember@gmail.com> - 5.2.1-6
- Renamed the source package to mingw-qwt (#801020)
- Modernize the spec file
- Use mingw macros without leading underscore

* Tue Feb 28 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.2.1-5
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Apr 22 2011 Kalev Lember <kalev@smartlink.ee> - 5.2.1-3
- Rebuilt for pseudo-reloc version mismatch (#698827)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Apr 23 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.2.1-1
- update to 5.2.1

* Sat Feb 13 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.2.0-3
- qt 4.6.1 compile workaround

* Wed Dec  2 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.2.0-2
- qt 4.6.0 compile workarounds

* Tue Nov 24 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.2.0-1
- update to 5.2.0

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.1.1-8
- add debuginfo packages

* Thu Apr 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.1.1-7
- replace %%define with %%global

* Mon Mar 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.1.1-6
- actually fix the source line as required by the reviewer
- remove commented out designer files in files section

* Mon Mar 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.1.1-5
- fix missing BR

* Fri Mar 13 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.1.1-4
- enable debug build

* Wed Mar 11 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.1.1-3
- copied from native qwt
